Skip to main content
GET
/
lookupBlock
Look up block by height, LT, or timestamp
curl --request GET \
  --url https://toncenter.com/api/v2/lookupBlock
{
  "ok": true,
  "result": {
    "@type": "ton.blockIdExt",
    "workchain": -1,
    "shard": "-9223372036854775808",
    "seqno": 51148869,
    "root_hash": "HxogBiV2YA+KrC9cJa5llfvDGNk2hwCqsaCSYo40V00=",
    "file_hash": "h7LOaX0cTqc8qKecsNYi32SVu0McCito3P2qzynvdqk=",
    "@extra": "1755814026.5747118:7:0.2443600480097572"
  }
}

Documentation Index

Fetch the complete documentation index at: https://companyname-a7d5b98e-jeshecdom-fift-variables.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

workchain
integer
required

Workchain id to look up block in

shard
integer
required

Shard id to look up block in

seqno
integer

Block's height

lt
integer

Block's logical time

unixtime
integer

Block's unixtime

Response

Successful Response

ok
boolean
required
result
Result · object

Block identifier for the looked-up block.

error
string
code
integer